
"""
$Id: alltests.py,v 1.2 2003/10/29 06:52:24 farmhand Exp $
"""

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Testing import ZopeTestCase

# patching INSTANCE_HOME variable temporarily before importing modules...
import Globals
import tempfile
instance_bak = Globals.INSTANCE_HOME
Globals.INSTANCE_HOME = os.path.join(tempfile.gettempdir(),"instance_home")
if not os.path.isdir(Globals.INSTANCE_HOME):
    os.mkdir(Globals.INSTANCE_HOME)
instance_var = os.path.join(Globals.INSTANCE_HOME, "var")
if not os.path.isdir(instance_var):
    os.mkdir(instance_var)

from testShellCmdProc import ShellCmdProcTest
from testCVSWrapper import CVSWrapperTest
from testCVSObjects import CVSFileTest, CVSDirectoryTest
from testRevisionManager import RevisionManagerTest

# ... and setting it back
Globals.INSTANCE_HOME = instance_bak

unitTests = (
    ShellCmdProcTest,
    CVSWrapperTest,
    CVSFileTest,
    CVSDirectoryTest,
    RevisionManagerTest
    )

# boilerplate, don't touch!
import unittest, os

masterSuite = unittest.TestSuite(map(lambda x: unittest.makeSuite(x, 'test'),
                                     unitTests))

runner = unittest.TextTestRunner()

if __name__ == '__main__':
    runner.run(masterSuite)
